## org.apache.xerces.impl.dv.xs
Class DayDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
                  |
                  +--org.apache.xerces.impl.dv.xs.DayDV

public class DayDV
extends AbstractDateTimeDV

Validator for <gDay> datatype (W3C Schema datatypes)

Version:
  $Id: DayDV.java,v 1.7 2003/01/16 18:34:04 sandygao Exp $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`CY, D, DAY, h, hh, m, M, mm, MONTH, ms, s, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`DayDV()`

Method Summary
`protected java.lang.String` `dateToString(int[] date)` Converts gDay object representation to String
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`protected int[]` `parse(java.lang.String str)` Parses, validates and computes normalized version of gDay object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getTime, getTimeZone, getYearMonth, indexOf, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, resetDateObj, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DayDV

    public DayDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### parse

    protected int[] parse(java.lang.String str)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gDay object
  Parameters:
    `str` - The lexical representation of gDay object ---DD with possible time zone Z or (-),(+)hh:mm Pattern: ---(\\d\\d)(Z|(([-+])(\\d\\d)(:(\\d\\d))?
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts gDay object representation to String
  Overrides:
    `dateToString` in class `AbstractDateTimeDV`
  Parameters:
    `date` - gDay object
  Returns:
    lexical representation of gDay: ---DD with an optional time zone sign

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.